using System;
using System.Collections.Generic;
using System.Runtime.Serialization;
using System.Text;

namespace Siger.Middlelayer.Redis.RedisEntities
{
    /// <summary>
    /// 额定寿命表
    /// key: machine_spn_pn
    /// </summary>
    [DataContract]
    public class RatedLifeConfig: RedisEntityBase
    {
        [DataMember(Name = "life")]
        public int RatedLife { get; set; }

        [DataMember(Name = "machine")]
        public int MachineId { get; set; }

        [DataMember(Name = "pn")]
        public string ProgramNo { get; set; }

        [DataMember(Name = "spindle")]
        public string SpindleName { get; set; }

        [DataMember(Name = "spn")]
        public string SubProgramNo { get; set; }

        [DataMember(Name = "tool")]
        public string ToolName { get; set; }
        [DataMember(Name = "toolid")]
        public int Toolid { get; set; }

        [DataMember(Name = "type")]
        public int type { get; set; }
        [DataMember(Name = "ratio")]
        public double Ratio { get; set; }
    }
}
